Get all service business unit profile value details
get
/api/boss/data/objects/ora/cxServiceCore/common/v1/serviceBusinessUnits/$views/businessUnitProfileValues
The service business units resource is used to view, create, and update business unit profile values for service.
Request
Query Parameters
-
$effectiveDate: string(date)
Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
-
$fields: string
Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
-
$filter: string
The resource collection will be queried using the specified filter condition.
-
$includeTotalItems: boolean
Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
-
$limit: integer(int32)
Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.Default Value:
25 -
$offset: integer(int32)
Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.Default Value:
0 -
$sortBy: string
Orders a resource collection based on the specified fields. The parameter value is a comma-separated string of field names, each optionally followed by a colon and "asc" (default) or "desc".
-
pBuOrgId: string(big-integer)
-
pProfileOptionName: string
There's no request body for this operation.
Back to TopResponse
Default Response
Successful response of retrieving view businessUnitProfileValues for resource Service Business Units
Root Schema : serviceBusinessUnits_view-businessUnitProfileValues
Match All
The service business units resource is used to view, create, and update business unit profile values for service.
Show Source
-
object
__collection_context
-
object
serviceBusinessUnits_view-businessUnitProfileValues-allOf[1]
The service business units resource is used to view, create, and update business unit profile values for service.
Nested Schema : serviceBusinessUnits_view-businessUnitProfileValues-allOf[1]
Type:
objectThe service business units resource is used to view, create, and update business unit profile values for service.
Show Source
Nested Schema : totalItems
Type:
Show Source
object-
qualifier: string
Allowed Values:
[ "eq", "gt", "est", "err" ] -
value: integer
Nested Schema : items-allOf[0]-allOf[1]
Type:
Show Source
object-
businessUnit:
businessUnit
-
createdBy: string
Title:
Created ByRead Only:trueThe user who created the record. -
enterpriseIdentifier: string
(big-integer)
Title:
Enterprise IDIdentifier of the enterprise for the profile value. -
optionId: string
(big-integer)
Title:
Option IDUnique identifier of the service business unit profile value. -
optionShortName: string
Title:
Option Short NameShort name of the service business unit profile option. -
profileOptionName:
profileOptionName
-
profileOptionValue: string
Title:
Profile Option ValueValue assigned to the service business unit profile option. -
siteLevelValueFlag: boolean
Title:
Use Site Level ValueIndicates whether the site level value should be used. -
timeCreated: string
(date-time)
Title:
Creation DateRead Only:trueThe date and time when the record was created. -
timeUpdated: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date and time when the record was last updated. -
updatedBy: string
Title:
Last Updated ByRead Only:trueThe user who last updated the record.
Nested Schema : items-allOf[1]
Type:
objectNested Schema : profileOptionName
Match All
Name of the service business unit profile option.
Show Source
-
string
Title:
Profile Option NameName of the service business unit profile option. -
string
Allowed Values:
[ "ORA_SVC_SR_RESPONSE_TEMPLATE_NAME_ISR", "ORA_SVC_SR_SYSTEM_RESPONSE_TEMPLATE_NAME_ISR", "SVC_HCM_PROD_CATALOG_USAGE", "SVC_ISR_PROD_CATALOG_USAGE", "SVC_OUTBOUND_EMAIL_FROM", "SVC_PROD_CATALOG_USAGE", "SVC_SR_FORWARD_TEMPLATE_NAME", "SVC_SR_RESPONSE_TEMPLATE_NAME", "SVC_SR_RESPONSE_TEMPLATE_NAME_HRD", "SVC_SR_SYSTEM_RESPONSE_TEMPLATE_NAME", "SVC_SR_SYSTEM_RESPONSE_TEMPLATE_NAME_HRD", "SVC_SR_FORWARD_TEMPLATE_NAME_HRD" ]
Nested Schema : businessUnit-allOf[1]
Type:
Show Source
object-
effectiveEndDate: string
(date)
Title:
End DateRead Only:trueThe end date of the date range within which the business unit is effective. -
effectiveStartDate: string
(date)
Title:
Start DateRead Only:trueThe start date of the date range within which the business unit is effective. -
id: string
(big-integer)
Title:
Business Unit IDRead Only:trueThe unique identifier of the business unit. -
name: string
Title:
Business UnitRead Only:trueThe translated name for the business unit.